Summary:	Toolchain for mastering recordable DVD media
Summary(pl.UTF-8):	Zestaw narzędzi do nagrywania płyt DVD
Name:		dvd+rw-tools
Version:	7.1
Release:	2
License:	GPL
Group:		Applications/Multimedia
Source0:	http://fy.chalmers.se/~appro/linux/DVD+RW/tools/%{name}-%{version}.tar.gz
# Source0-md5:	8acb3c885c87f6838704a0025e435871
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-progress.patch
Patch2:		%{name}-headers.patch
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
BuildRequires:	libstdc++-devel
BuildRequires:	m4
Requires:	mkisofs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of tools to master DVD+RW/+R/-R/-RW media.

%description -l pl.UTF-8
Kolekcja narzędzi do nagrywania płyt DVD+RW/+R/-R/-RW.

%package btcflash
Summary:	BTC CD/DVD reader/writer firmware updater
Summary(pl.UTF-8):	Program do uaktualniania firmware'u czytników/nagrywarek CD/DVD BTC
Group:		Applications/Multimedia

%description btcflash
BTC CD/DVD reader/writer firmware updater.

%description btcflash -l pl.UTF-8
Program do uaktualniania firmware'u czytników/nagrywarek CD/DVD firmy
BTC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

head -n 395 growisofs.c > ChangeLog

%build
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall" \
	CXXFLAGS="%{rpmcflags} -fno-exceptions -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	manprefix=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc index.html
%attr(755,root,root) %{_bindir}/dvd+rw-*
%attr(755,root,root) %{_bindir}/dvd-ram-control
%attr(755,root,root) %{_bindir}/growisofs
%attr(755,root,root) %{_bindir}/rpl8
%{_mandir}/man1/growisofs.1*

%files btcflash
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/btcflash
%changelog
* Wed Mar 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dvd+rw-tools.git;a=log;h=master

* Wed Mar 28 2018 Jan Rękorajski <baggins@pld-linux.org> febf9bd
- rebuild for x32
- release 2 (by relup.sh)

* Wed Jul 23 2008 Jakub Bogusz <qboosh@pld-linux.org> d7236aa
- updated to 7.1
- removed obsolete bacula,printf patches

* Wed Jul 23 2008 Jakub Bogusz <qboosh@pld-linux.org> ebad9ee
- obsolete

* Wed Jan 23 2008 hawk <hawk@pld-linux.org> f232c86
- fix compilation on newer linux-libc-headers
- release 4

* Wed Jan 23 2008 hawk <hawk@pld-linux.org> 4ae6f5f
- fix compilation on newer linux-libc-headers

* Tue Jul 17 2007 wolf <wolf@pld-linux.org> 982a5f6
- progress patch
- rel 3

* Tue Jul 17 2007 wolf <wolf@pld-linux.org> afd141a
- update progress 10 times more often. k3b looks much nicer that way

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d9c9587
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 692a9e4
- converted to UTF-8

* Mon Dec 25 2006 wolf <wolf@pld-linux.org> 28f872b
- rel 2

* Sun Dec 03 2006 wolf <wolf@pld-linux.org> 8df3b12
- drop EVR from R: mkisofs

* Fri Oct 06 2006 Jakub Bogusz <qboosh@pld-linux.org> e8e552b
- updated to 7.0, updated makefile,bacula patches

* Fri Oct 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 2feccf9
- updated for 7.0

* Tue Jun 27 2006 Jakub Bogusz <qboosh@pld-linux.org> de0a22a
- pl for -btcflash

* Mon Jun 26 2006 Artur Frysiak <artur@frysiak.net> b29baab
- btcflash in subpackage

* Fri Apr 07 2006 Paweł Sikora <pluto@pld-linux.org> 986e08b
- correct printf fix, release 1.

* Fri Apr 07 2006 Paweł Sikora <pluto@pld-linux.org> 8fffa8f
- portable printf format coding.

* Fri Apr 07 2006 Paweł Sikora <pluto@pld-linux.org> 2c90f92
- dropped.

* Thu Apr 06 2006 Jacek Konieczny <jajcus@pld-linux.org> e5cb480
- bacula patch updated (the old one caused Memory Fault)
- epoch in mkisofs R

* Thu Apr 06 2006 Jacek Konieczny <jajcus@pld-linux.org> 1a284c4
- updated

